PTS 8
advanced radiative transfer in dusty systems
Installation Guide

System requirements

PTS has been developed and tested on Mac OS X 10.9 (Mavericks), Mac OS X 10.10 (Yosemite), Mac OS X 10.11 (El Capitan) and on the Linux distribution Ubuntu 14.04 (64-bit). However, PTS should be able to run on any Unix system. At this time PTS has not been tested on Microsoft Windows systems, however should the need arise this could probably be supported with only a small effort.

If you need to run SKIRT on your computer, through PTS or otherwise, then you obviously need to install it. You can get the SKIRT source code and build the executable on your computer as described in the SKIRT documentation. If you just use PTS to pre- or post-process SKIRT related files without actually running SKIRT, you don't need to install SKIRT.

Types of installation

Subsequent sections provide detailed installation instructions for two scenarios:

The procedure for other scenarios, e.g. another desktop Unix flavor, can probably (hopefully) be inferred by picking and choosing from these instructions.